#ifndef IST_GL_ANIMATED_POLYGON
#define IST_GL_ANIMATED_POLYGON

#include "ist/gl_include.h"
#include "animated_polygon.h"

namespace ist {
namespace gl {

class AnimatedPolygon : public BaseAnimatedPolygon
{
public:
	typedef std::vector<float> vertex_array_cont;

	void setup();
	void draw(const std::string& clipname, float t) const;

	mutable vertex_array_cont vertex_array;
};

} // gl
} // ist

#endif
