#!/bin/sh

target=libist.a
cc=i386-redhat-linux-g++
cflag="-s -O2 `sdl-config --cflags` -DUSE_SDL"


if test $# -ne 0
then
	srcs=`echo $@ | grep -E \.\(cc\|cpp\)`
else
	srcs=`ls | grep -E \.\(cc\|cpp\)`
fi

for f in ${srcs}
do
	echo $f
	${cc} -c ${cflag} ${f}
done

objs=`echo $srcs | sed -r s/\.\(cc\|cpp\)/\.o/g`

echo $target
ar -r ${target} ${objs}


cd ist_fw
${cc} -c ${cflag} ist_fw.cc
ar -r libist_fw.a *.o
mv libist_fw.a ../
