#include "gl_include.h"
#include "gl_camera.h"

namespace ist {
namespace gl {

	Camera::Camera() :
		position(0.0f, 0.0f, 100.0f),
		target(0.0f, 0.0f, 0.0f),
		direction(0.0f, 1.0f, 0.0f)
	{ }

	void Camera::look()
	{
		glLoadIdentity();
		gluLookAt(
			position.x, position.y, position.z,
			target.x, target.y, target.z,
			direction.x, direction.y, direction.z);
		glGetFloatv(GL_MODELVIEW_MATRIX, matrix.v);
	}

} //gl
} //ist

