#ifndef TL_APP
#define TL_APP

#include <boost/shared_ptr.hpp>
#include <stdexcept>
#include <map>
#include <vector>
#include <string>
#include <algorithm>
#include <wx/wxprec.h>
#include <wx/wx.h>
#include <wx/listctrl.h>
#include <wx/glcanvas.h>
#include "ist/ist_math.h"
#include "ist/ist_gl.h"

using namespace std;
using namespace boost;
using namespace ist;



class PreviewFrame;

class HelloApp : public wxApp
{
public:
	virtual bool OnInit();

	int current_frame;
	PreviewFrame *pr_frame;
	gl::Texture2D texture;
};

DECLARE_APP(HelloApp)
#define GetPreviewFrame() wxGetApp().pr_frame
#define GetTexture() wxGetApp().texture



#endif
