#!/bin/sh

target=ist.lib
cc=cl
#cflag="-Ox -Ob2 -GA -D_MBCS -FD -ML -GS -DWIN32 -DNDEBUG -DENABLE_GL_EXT -DENABLE_ARB_VBO"
cflag="-O2 -Og -Ob2 -Ot -GA -D_MBCS -FD -GS -DWIN32 -DNDEBUG -DENABLE_GL_EXT -DENABLE_ARB_VBO"


if test $# -ne 0
then
	srcs=`echo $@ | grep -E \.\(cc\|cpp\)`
else
	rm *.obj
	srcs=`ls | grep -E \.\(cc\|cpp\)`
fi

for f in ${srcs}
do
	${cc} -c ${cflag} ${f}
done


echo $target
lib -out:${target} *.obj



cd ist_fw
${cc} -c ${cflag} *.cc
lib -out:ist_fw.lib *.obj
mv ist_fw.lib ../

